ManagementTeams
Add a member to a team
PUT
The member gets the team's grants live, checked first on their union on every database of the team's projects. Also 200 when they are already in (nothing is written).
Authorization
bearer AuthorizationBearer <token>
In: header
Path Parameters
team_id*string
Team id
Format
uuidmember_id*string
Member id
Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/teams/497f6eca-6276-4993-bfeb-53cbbbba6f08/members/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "created_at": "2019-08-24T14:15:22Z", "description": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "member_count": 0, "member_ids": [ "6059d331-91d8-43de-a6af-f1a743933a5b" ], "name": "string", "projects": [ { "pg_roles": [ "string" ], "platform_role": "viewer", "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9" } ], "updated_at": "2019-08-24T14:15:22Z"}